# $Revision: 1.8 $, $Date: 2004/12/25 13:32:53 $
Summary:	A fast artificial neural network library
Summary(pl):	Szybka biblioteka do tworzenia sztucznych sieci neuronowych
Name:		fann
Version:	1.1.0
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	f8280e9849cfbf5ddf769713ce7f7fba
Patch0:		%{name}-python.patch
URL:		http://fann.sf.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	swig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fast Artificial Neural Network (FANN) Library is written in ANSI C.
The library implements multilayer feedforward ANNs, up to 150 times
faster than other libraries. FANN supports execution in fixed point,
for fast execution on systems like the iPAQ.

%description -l pl
FANN (Fast Artificial Neural Network - szybkie sztuczne sieci
neuronowe) to biblioteka napisana w ANSI C, implementujca
wielowarstwowe sztuczne sieci neuronowe, do 150 razy szybsza od innych
bibliotek. FANN obsuguje operacje staoprzecinkowe w celu szybkiego
dziaania na systemach typu iPAQ.

%package devel
Summary:	Development libraries for FANN
Summary(pl):	Pliki nagwkowe FANN
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package is only needed if you intend to develop and/or compile
programs based on the FANN library.

%description devel -l pl
Pliki nagwkowe FANN, potrzebne do tworzenia programw napisanych w
oparciu o bibliotek FANN.

%package static
Summary:	FANN static libraries
Summary(pl):    Biblioteki statyczne FANN
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
FANN static libraries.
 
%description static -l pl
Biblioteki statyczne FANN.

%package -n python-%{name}
Summary:	Python support for FANN
Summary(pl):	Modu jzyka Python dla biblioteki FANN
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-%{name}
Python support for FANN.

%description -n python-%{name} -l pl
Modu jzyka Python dla biblioteki FANN.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}
%{__make} -C doc html-single
cd python
CFLAGS="%{rpmcflags}" \
%{__make}
%py_comp .
%py_ocomp .

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{py_sitedir}
install -d $RPM_BUILD_ROOT%{_examplesdir}/{python-%{name}-%{version},%{name}-%{version}}

install python/{fann.pyc,fann.pyo,_fann.so} $RPM_BUILD_ROOT%{py_sitedir}
install python/simple_train.py $RPM_BUILD_ROOT%{_examplesdir}/python-%{name}-%{version}
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/fann.html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/fann.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]
%{_examplesdir}/python-%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fann.spec,v $
Revision 1.8  2004/12/25 13:32:53  saq
- updated python.patch, release 3

Revision 1.7  2004/12/25 13:27:36  saq
- release 2 for rebuild with python 2.4

Revision 1.6  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.5  2004/06/05 22:36:46  jpc
- %{rpmcflags} now used in python binary module
- added C examples
- main lacking BRs have been resolved by qboosh
  (it was the autotools family I was thinking of)

Revision 1.4  2004/06/05 21:53:59  qboosh
- more todo

Revision 1.3  2004/06/05 21:03:23  qboosh
- pl desc, build fixes (no subshells), ldconfig, base docs to base

Revision 1.2  2004/06/05 14:46:52  jpc
- utf-8 => iso8859-2

Revision 1.1  2004/06/05 14:32:16  jpc
- new spec, based on the one from package
